Opened 21 months ago

Closed 20 months ago

Last modified 20 months ago

#658 closed enhancement (fixed)

Update PDAL integration with QGIS master to support new Point Clouds

Reported by: PedroNGV Owned by: osgeo4w-dev@…
Priority: major Component: Package
Version: Keywords: pdal, qgis
Cc:

Description

I'm trying to test laz point clouds [0] on QGIS master from OSGeo4W, but it seems that QGIS master is not compiled against PDAL 1.8, that is the PDAL version available

QGIS version 3.17.0-Master
QGIS code revision 740c41f5a8
Compiled against Qt 5.11.2
Running against Qt 5.11.2
Compiled against GDAL/OGR 3.1.4
Running against GDAL/OGR 3.3.0dev
Compiled against GEOS 3.8.1-CAPI-1.13.3
Running against GEOS 3.8.1-CAPI-1.13.3
Compiled against SQLite 3.29.0
Running against SQLite 3.29.0
PostgreSQL Client Version 11.5
SpatiaLite Version 4.3.0
QWT Version 6.1.3
QScintilla2 Version 2.10.8
Compiled against PROJ 8.0.0
Running against PROJ Rel. 8.0.0, March 1st, 2021
OS Version Windows 10 (10.0)

[0] https://twitter.com/lutraconsulting/status/1334173708542480398

Can this somehow be fixed to be available in time of QGIS 3.18 release, and hopefully before, to be tested?

Change History (5)

comment:1 by jratike80, 21 months ago

Keeping PDAL up to date may be difficult because PDAL team stopped doing OSGeo4W packaging. Perhaps Lutra consulting has some plan. https://lists.osgeo.org/pipermail/pdal/2020-July/thread.html#2195

comment:2 by jef, 21 months ago

part of the osgeo4w reboot

in reply to:  2 comment:3 by PedroNGV, 21 months ago

Replying to jef:

part of the osgeo4w reboot

Do you think it is possible to get this fixed before QGIS 3.18 realease, Jurgen?

comment:4 by PedroNGV, 20 months ago

This is fixed now and can be closed.

Thanks!

comment:5 by jef, 20 months ago

Resolution: fixed
Status: newclosed

Fixed in the testing repo.

Last edited 20 months ago by jef (previous) (diff)
Note: See TracTickets for help on using tickets.